=== debian/changelog ===
openblas (0.2.14-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build everywhere.
  * Build libopenblas-dbg everywhere as well.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 25 May 2015 22:20:53 -0400

openblas (0.2.14-1) unstable; urgency=low

  * Imported Upstream version 0.2.14
  * debian/copyright: reflect upstream changes.
  * debian/rules: remove TARGET=GENERIC flag when building dynamic arch binary.
    This flag creates a compilation failure and seems no longer needed.
  * Add a debug package. (Closes: #783639)
  * debian/control: improve short description of packages.
  * Add autopkgtest support, relying on upstream testsuite.
    + debian/tests/upstream-testsuite: script to run the testsuite.
    + debian/tests/control: add the new test.
    Thanks to Christian Kastner for crafting the patch. (Closes: #781996)
  * Enable build on arm64 architecture.
    + d/control: add arm64 to Architecture fields.
    + d/rules: use TARGET=ARMV8 for arm64 arch.
    + d/p/arm64.patch: new patch from upstream, to fix a build failure.
  * Fix crash with illegal instruction on armhf with static libraries.
    + d/p/arm-gcc-flags.patch: enforce -march=armv7-a and -mfpu=vfpv3-d16 flags.
  * Add -lgfortran and -lpthread in .pc files for static linking.
  * Ensure that the testsuite is run on arm* arches at build time.
    + d/p/arm-arch-detection.patch: new patch, avoids false detection of
      cross-compilation.
    + d/p/disable-gemm3m-tests.patch: new patch, avoid compilation failure of
      the testsuite.
    + d/p/test-custom-package.patch renamed to d/p/always-run-testsuite.patch,
      to clearly show that it is needed even for vanilla arm* packages.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 Apr 2015 18:46:11 +0200

openblas (0.2.12-1ubuntu1) vivid; urgency=medium

  * Build everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Dec 2014 15:17:39 +0100
